Skip to main content
PUT
/
v1
/
accounts
/
{accountId}
/
attributes
/
{attributeType}
/
{attributeId}
Setup autotopup for your account
curl --request PUT \
  --url https://api.sakari.io/v1/accounts/{accountId}/attributes/{attributeType}/{attributeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "chris@sakari.io",
  "firstName": "Chris",
  "lastName": "Bloggs",
  "lists": [
    {
      "name": "<string>",
      "keyword": "<string>",
      "doubleOptIn": {
        "enabled": true,
        "prompt": "<string>"
      },
      "filter": {
        "q": "<string>",
        "attributes": [
          {
            "attribute": "<string>",
            "comparator": "<string>",
            "value": [
              "<string>"
            ]
          }
        ],
        "list": "<string>",
        "valid": true,
        "invalid": true,
        "blocked": true,
        "unblocked": true,
        "optIn": true
      },
      "optInConfirmation": "<string>",
      "optIn": "2023-11-07T05:31:56Z",
      "optOut": "2023-11-07T05:31:56Z"
    }
  ],
  "attributes": {},
  "optIn": "2023-11-07T05:31:56Z",
  "blocked": "2023-11-07T05:31:56Z",
  "activecampaign": {
    "id": 123
  },
  "hubspot": {
    "id": 123
  },
  "pipedrive": {
    "id": 123
  }
}
'
{
  "success": true,
  "data": {
    "amount": 123,
    "below": 123,
    "lastTopup": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.sakari.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

attributeType
enum<string>
required

Type of custom attribute

Available options:
contacts,
deals,
tickets
attributeId
string
required

ID of attribute

Body

email
string
Example:

"chris@sakari.io"

firstName
string
Example:

"Chris"

lastName
string
Example:

"Bloggs"

mobile
object
lists
object[]
attributes
object
optIn
string<date-time>
blocked
string<date-time>
activecampaign
object
hubspot
object
pipedrive
object
error
object

Response

successful operation

success
boolean
required
data
object
required